import { MakeDecoratorResult } from '@storybook/addons';
declare global {
    interface Window {
        __CREEVEY_SELECT_STORY__: (storyId: string, kind: string, name: string, callback: (error?: string) => void) => void;
    }
    interface Document {
        fonts: FontFaceSet;
    }
    type CSSOMString = string;
    type FontFaceLoadStatus = 'unloaded' | 'loading' | 'loaded' | 'error';
    type FontFaceSetStatus = 'loading' | 'loaded';
    class FontFace extends FontFaceDescriptors {
        constructor(family: string, source: string | ArrayBuffer, descriptors?: FontFaceDescriptors);
        readonly status: FontFaceLoadStatus;
        readonly loaded: Promise<FontFace>;
        variationSettings: CSSOMString;
        display: CSSOMString;
        load(): Promise<FontFace>;
    }
    class FontFaceDescriptors {
        family: CSSOMString;
        style: CSSOMString;
        weight: CSSOMString;
        stretch: CSSOMString;
        unicodeRange: CSSOMString;
        variant: CSSOMString;
        featureSettings: CSSOMString;
    }
    interface FontFaceSet extends Iterable<FontFace>, EventTarget {
        readonly status: FontFaceSetStatus;
        readonly ready: Promise<FontFaceSet>;
        readonly size: number;
        add(font: FontFace): void;
        check(font: string, text?: string): boolean;
        load(font: string, text?: string): Promise<FontFace[]>;
        delete(font: FontFace): void;
        clear(): void;
    }
}
export declare function withCreevey(): MakeDecoratorResult;
export declare const decorators: MakeDecoratorResult[];
